Fix check in build script for jsoncpp directory existing.

This commit is contained in:
Dan Miller 2022-11-11 15:18:46 -08:00
parent 80db215a01
commit 322870d9e3
2 changed files with 10 additions and 9 deletions

View file

@ -4,7 +4,7 @@
# flutter-elinux clean
# flutter-elinux pub get
# flutter-elinux build linux --dart-define="IS_ARM=true"
mkdir build
mkdir -p build
./build_secure_storage_deps.sh &
(cd ../../crypto_plugins/flutter_liblelantus/scripts/linux && ./build_all.sh ) &
(cd ../../crypto_plugins/flutter_libepiccash/scripts/linux && ./build_all.sh ) &

View file

@ -1,30 +1,31 @@
#!/bin/bash
LINUX_DIRECTORY=$(pwd)
JSONCPP_TAG=1.7.4
mkdir -p build
# Build JsonCPP
cd build || exit
cd build || exit 1
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi
git -C jsoncpp pull || git clone https://github.com/open-source-parsers/jsoncpp.git jsoncpp
cd jsoncpp || exit
git checkout 1.7.4
git -C jsoncpp pull origin $JSONCPP_TAG || git clone https://github.com/open-source-parsers/jsoncpp.git jsoncpp
cd jsoncpp || exit 1
git checkout $JSONCPP_TAG
mkdir -p build
cd build || exit
cd build || exit 1
cmake -DCMAKE_BUILD_TYPE=release -DBUILD_STATIC_LIBS=ON -DBUILD_SHARED_LIBS=ON -DARCHIVE_INSTALL_DIR=. -G "Unix Makefiles" ..
make -j"$(nproc)"
cd "$LINUX_DIRECTORY" || exit
cd "$LINUX_DIRECTORY" || exit 1
# Build libSecret
# sudo apt install meson libgirepository1.0-dev valac xsltproc gi-docgen docbook-xsl
# sudo apt install python3-pip
#pip3 install --user meson markdown tomli --upgrade
# pip3 install --user gi-docgen
cd build || exit
cd build || exit 1
git -C libsecret pull || git clone https://gitlab.gnome.org/GNOME/libsecret.git libsecret
cd libsecret || exit
cd libsecret || exit 1
if ! [ -x "$(command -v meson)" ]; then
echo 'Error: meson is not installed.' >&2
exit 1